//pripojeni RTC modulu - SDA pin = A4, SCL pin = A5

#include <Wire.h>   
#include "RTClib.h"  

RTC_DS1307 RTC;                                                              // RTC Modul

void setup(void) {

   Wire.begin();                                                             //inicializace I2C
   RTC.begin();                                                              //inicializace RTC
   Serial.begin(9600);                                                       //inicializace vystupu na seriovy monitor (tools, serial monitor)
   Serial.println("Zobrazeni data a casu z RTC modulu");                     //vypsání daného textu v seriovám monitoru

//kontrola funkce RTC modulu 
   if (! RTC.isrunning()) {                                                  //pokud RTC nebezi
    RTC.adjust(DateTime(__DATE__, __TIME__));                                //nastav systemový datum a cas
    Serial.println("RTC modul byl spusten a byl nastaven systemovy cas");
  }
  else Serial.println("RTC modul byl jiz v provozu");                        //jinak vypis text

}

void loop(){
  DateTime now=RTC.now();                                                    // naceteni aktuálniho data a casu
  show_time_and_date(now);                                                   // vystup data a casu
  delay(5000);                                                               // cekej 5 sekund
}

// funce formatovani vystupu data a casu
void show_time_and_date(DateTime datetime){
  
  // den v tydnu, DD.MM.YYYY
  Serial.print(get_day_of_week(datetime.dayOfWeek()));
  Serial.print(", ");
  if(datetime.day()<10)Serial.print(0);
  Serial.print(datetime.day(),DEC);
  Serial.print(".");
  if(datetime.month()<10)Serial.print(0);
  Serial.print(datetime.month(),DEC);
  Serial.print(".");
  Serial.println(datetime.year(),DEC);
  
  // HH.MM.SS
  if(datetime.hour()<10)Serial.print(0);
  Serial.print(datetime.hour(),DEC);
  Serial.print(":");
  if(datetime.minute()<10)Serial.print(0);
  Serial.print(datetime.minute(),DEC);
  Serial.print(":");
  if(datetime.second()<10)Serial.print(0);
  Serial.println(datetime.second(),DEC);
}



// Identifikace dne v tydnu
String get_day_of_week(uint8_t dow){ 
  
  String dows="  ";
  switch(dow){
   case 0: dows="Nedele"; break;
   case 1: dows="Pondeli"; break;
   case 2: dows="Utery"; break;
   case 3: dows="Streda"; break;
   case 4: dows="Ctvrtek"; break;
   case 5: dows="Patek"; break;
   case 6: dows="Sobota"; break;
  }
  
  return dows;
}


